<div class="container mt-5">
    <h2>List of Employees</h2>
    <a routerLink="add/0" class="btn btn-primary mt-3 mb-3">Add Employee</a>
    <table class="table">
        <thead>
            <th>Id</th>
            <th>Name</th>
            <th>Email</th>
            <th>Phone</th>
            <th>Edit</th>
            <th>Delete</th>
        </thead>
        <tbody>
            <tr *ngFor="let employee of employees">
                <td>{{ employee.id }}</td>
                <td>{{ employee.name }}</td>
                <td>{{ employee.email }}</td>
                <td>{{ employee.phone }}</td>
                <td><button class="btn btn-warning" [routerLink]="['edit',employee.id]">Edit</button></td>
                <td><button class="btn btn-danger" (click)="onDelete(employee.id)">Delete</button></td>
            </tr>
        </tbody>
    </table>
</div>